Subject: Re: [ipwave] WGLC for draft-ietf-ipwave-ipv6-over-80211ocb-08 - Summary of Technical Changes, and Highlighted unresolved points

From: Alexandre Petrescu <[email-masked]>
Date: Sat, 11 Nov 2017 14:51:44 +0100

Le 23/10/2017 à 16:09, Carlos Jesús Bernardos Cano a écrit :
> Hi,
> 
> The WGLC of this document is now over. We got good support from the WG
> on progressing the document, but we also received quite a lot of good
> feedback on it. Therefore, we would like the authors to provide a
> comprehensive summary on the mailing list with all the
> comments/suggestions received, together with a response on how these
> have been addressed, highlighting any points that are still unresolved.

Hi Carlos,

We worked to produce a comprehensive summary.

Highlight unresolved points: should we include a request of Group ID for 
OCB to IANA, or not? is ND well adapted for OCB, or not?

This is the list of Technical Changes on the draft between -05 to -11 
corresponding to reviews since September and during Last Call:

o Added text suggesting LLs may be easy to use on OCB, rather
   than GUAs based on received prefix.
o Removed the text speculation on adoption of the TSA message.
o Clarified that the ND protocol is used.
o Added some text about how two STAs discover each other.
o Added mention of external (OCB) and internal network (stable),
   in the subnet structure section.
o Added phrase explaining that both .11 Data and .11 QoS Data
   headers are currently being used, and may be used in the
   future.
o Removed the per-channel IPv6 prohibition text.
o Removed the statement that suggests that for routing purposes a
   prefix exchange mechanism could be needed.
o Removed text requesting a new Group ID for multicast for OCB.
o Added a clarification of the meaning of value "3333" in the
   section Address Mapping -- Multicast.
o Added note stating that the manner in which two STAtions set
   their communication channel is not described in this document.
o Added a time qualifier to state that the "each node is
   represented uniquely at a certain point in time.“
o Shortened the paragraph on forming/terminating 802.11-OCB links.

The other changes (Authorship, References, Terminology, section 
mouvement, Security) are in the slideset to be presented at the 
face-to-face meeting in Singapore.

Yours,

Alex
> 
> Thanks!
> 
> Carlos and Russ
> 
> P.S.: We have updated the status of the document in the datatracker.
> 
> On Sat, 2017-09-23 at 20:42 +0200, Carlos Jesús Bernardos Cano wrote:
>> Hi,
>>
>> Hereby we are issuing a WGLC for draft-ietf-ipwave-ipv6-over-
>> 80211ocb-
>> 08.
>>
>> The WGLC will be open till the 8th of October to give enough time for
>> people to review. We kindly ask the WG to review the document and
>> provide comments.
>>
>> If you have no comments and think the document is ready, please do
>> send
>> a note stating that to the WG ML.
>>
>> Additional information about the document is below:
>>
>>          Title           : Transmission of IPv6 Packets over IEEE
>> 802.11
>> Networks operating in mode Outside the Context of a Basic Service Set
>> (IPv6-over-80211-OCB)
>>          Authors         : Alexandre Petrescu
>>                            Nabil Benamar
>>                            Jérôme Härri
>>                            Christian Huitema
>>                            Jong-Hyouk Lee
>>                            Thierry Ernst
>>                            Tony Li
>>          Filename        : draft-ietf-ipwave-ipv6-over-80211ocb-08.txt
>>          Pages           : 38
>>          Date            : 2017-09-19
>>
>> Abstract:
>>     In order to transmit IPv6 packets on IEEE 802.11 networks running
>>     outside the context of a basic service set (OCB, earlier
>> "802.11p")
>>     there is a need to define a few parameters such as the supported
>>     Maximum Transmission Unit size on the 802.11-OCB link, the header
>>     format preceding the IPv6 header, the Type value within it, and
>>     others.  This document describes these parameters for IPv6 and
>> IEEE
>>     802.11-OCB networks; it portrays the layering of IPv6 on 802.11-
>> OCB
>>     similarly to other known 802.11 and Ethernet layers - by using an
>>     Ethernet Adaptation Layer.
>>
>>     In addition, the document lists what is different in 802.11-OCB
>>     (802.11p) links compared to more 'traditional' 802.11a/b/g/n
>> links,
>>     where IPv6 protocols operate without issues.  Most notably, the
>>     operation outside the context of a BSS (OCB) impacts IPv6 handover
>>     behaviour and IPv6 security.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-ipwave-ipv6-over-80211ocb
>> /
>>
>> There are also htmlized versions available at:
>> https://tools.ietf.org/html/draft-ietf-ipwave-ipv6-over-80211ocb-08
>> https://datatracker.ietf.org/doc/html/draft-ietf-ipwave-ipv6-over-802
>> 11
>> ocb-08
>>
>> A diff from the previous version is available at:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-ipwave-ipv6-over-80211oc
>> b-
>> 08
>>
>> Thank you for your support.
>>
>> -- Russ and Carlos
> 
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its
>

---

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Mon, 13 Nov 2017 07:11:58 +0100

Hi Alex,

Apologies for my belated reply. Please see inline below.

> We worked to produce a comprehensive summary.

Thanks a lot. I appreciate it.

> OCB to IANA, or not? is ND well adapted for OCB, or not?

I think personally, and also think this is my understanding of the
outcome of the discussion on the mailing list so far, that we should
not request a Group ID for OCB to IANA at this point. I still not see
the need for this as articulated. I'm not aware of any IPv6 defined
multicast group so far that relates to specifics of the L2. I think we
need to identify the need of a specific group from the point of view of
the services/role of the nodes they would be part of. At this point
this is not yet 100% clear, so if we get to a consensus that such a
group is needed, we can address this in a separate document.

Regarding the second question: "is ND well adapted for OCB, or not?", I
think we need to go down to more specific questions. It is like if we
asked if ND is well adapted for WiFi, some people may argue that it is,
while some people may think that is not. I'd say that unless we have
identified serious issues that would prevent ND to operate on OCB, we
should just proceed with the basic document. Then we can look into
specific potential problems and work on solutions for this if the group
 think that this deserves work at IPWAVE.

Thanks,

Carlos